API referenceCampaign
Retrieves the collection of Campaign resources.
Retrieves the collection of Campaign resources.
GET
/api/campaignscurl -X GET "/api/campaigns" \
-H "apikey: $MEDIALISTER_API_KEY"Authorization
apikeystringheaderrequiredValue for the apikey header parameter.
Parameters
pageintegerqueryThe collection page number
Default:1itemsPerPageintegerqueryThe number of items per page
Default:10regionsstringqueryregions[]string[]querydefaultProjectstringqueryFilter campaigns by default project (uuid or IRI, e.g. /api/default_projects/{uuid})
Response
application/ld+json200
Campaign collection
hydra:totalItemsintegerhydra:searchobjecthydra:viewobjecthydra:memberCampaign.jsonld-all.read[]required
{
"hydra:totalItems": 0,
"hydra:search": {
"@type": "string",
"hydra:template": "string",
"hydra:variableRepresentation": "string",
"hydra:mapping": [
{
"@type": "string",
"variable": "string",
"property": "string",
"required": true
}
]
},
"hydra:view": {
"@id": "string",
"@type": "string",
"hydra:first": "string",
"hydra:last": "string",
"hydra:previous": "string",
"hydra:next": "string"
},
"hydra:member": [
{
"@context": "string",
"@id": "string",
"@type": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "Campaign Name",
"goal": "My Goal",
"goalDetails": "seo-in-new-articles",
"domain": "string",
"budget": 0,
"publishingPeriod": 0,
"regions": [
"dXJuOm1ieHBsYzpSRUk",
"dXJuOm1ieHBsYzpSRUd"
],
"notificationsCount": 0,
"createdAt": "2026-01-15T09:30:00Z",
"updatedAt": "2026-01-15T09:30:00Z"
}
]
}